;________________________________________________________________________
;
;                           O P T I O N S . A S M
; This software is  available only for users of  the TAPR PIC-Encoder and 
; only for  non-commercial  amateur radio  or  educational  applications. 
; ALL other uses  prohibited.  This software may be modified only  if the
; resulting code be  made public,  and the original author  given credit.
; Contact the author or  TAPR  for  information  on commercial  licenses.
; (c) Copyright 1999,  Byon Garrabrant,  N6BG      All  rights  reserved. 
;________________________________________________________________________
;

#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_MANUAL_TX_DELAY	D'1'
#define	OPT_AUTO_TIME		D'2'
#define	OPT_BEACON_RATE		D'3'
#define	OPT_BEACON_OFFSET	D'4'
#define	OPT_CALLSIGN_DIGI	D'5'

;________________________________________________________________________


Get_Option
	addwf	PCL, F

Option_Start
	dt	D'40'		; number of flags to send auto
	dt	D'5'		; number of flags to send beacon
	dt	D'12'		; auto time in 10 sec (2 = 20 sec)
	dt	D'3'		; beacon every nth weather packet
	dt	Beacon_Start - Option_Start  ; beacon offset

	dt	"APE001", D'0' + H'30'	; destination APE indicates Pic-E, contact
					;  k4hg@tapr.org when your code is ready to
					;  go on the air for unique ID
	dt	"K4HG  ", D'3' + H'30'	; callsign and ssid this is K4HG-3
	dt	"WIDE  ", D'0' + H'30'	; digi 1
	dt	"WIDE  ", D'0' + H'30'	; digi 2
	dt	"WIDE  ", D'0' + H'30'	; digi 3, aqdd more if desired
	dt	0
Beacon_Start				;  your beacon text goes here...
	dt	"!2439.66N/08128.91W_Pic-E U-2000 stand alone!"
	dt 	0				
